Skip to main content
Accessibility Resource Center Skip to main content
Have a phone you love? Get up to $500 when you bring your phone.
end of navigation menu
S20 5G UW: Netflix says device no longer compatible with your device
jakedowns
Enthusiast

image.jpg

Hello,

 

I recently got a S20 5G UW 

 

It's on Android 12 (Official)

 

It came with Netflix v 1.0.0 preinstalled

When I try to open it, it says Please update to the latest app version to proceed

 

When I look for the app in the Galaxy Store or the Play store, I get the error that the app is no longer compatible

 

When I go to Netflix's Android support page and download the 4.16.200217 version, it upgrades, and then throws the error:

 

Please make sure your device has network connectivity and that the Date/Time settings are accurate

 

I'm using the phone on wifi 

 

Other android and apple devices on the same wifi can load Netflix just fine

 

I'm not using VPNs or rooted or unofficial firmware or software 

 

As far as I can tell my devices Play Protect status is fine

 

I've made sure Play Store and the phone are as up to date as possible

 

I contacted Netflix support and they had me run through the same troubleshooting steps I had already found through their website

 

They finally told me to contact my ISP.. but I don't think its a network issue. I can sign into nextflix just fine in the chrome browser. 

 

Has anyone run into this?

 

I've also made sure to clear data / clear cache and yes Ive tried restarting

Labels (1)
0 Likes